/*
 * Class EV_PIXMAP_IMP_LOADER
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1351 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1351 [] = {0xFF01,1551,1350,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1351 [] = {0xFF01,1350,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1351 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1351 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1351 [] = {0xFF01,1350,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1351 [] = {0xFF01,1350,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1351 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1351 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1351 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1351 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1351 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1351 [] = {0xFF01,1350,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1351 [] = {0xFF01,345,0xFFFF};


static const struct desc_info desc_1351[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1351), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1351), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1351), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1351), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1351), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1351), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1351), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1351), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1351), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1351), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1351), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1351), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0A8D /*1350*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1351), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4810, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4811, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4812, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4813, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4814, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4815, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4816, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4817, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4818, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4819, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4820, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4821, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4822, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4823, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4824, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4825, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4826, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4827, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4828, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4829, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4830, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4831, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4832, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4833, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4834, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4835, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4836, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4837, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4838, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4839, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4840, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4841, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4842, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1351), 8191, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0725 /*914*/), 8215, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8216, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8192, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8193, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0725 /*914*/), 8194, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8195, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8196, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0725 /*914*/), 8197, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0725 /*914*/), 8198, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0725 /*914*/), 8199, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8200, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0725 /*914*/), 8201, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0725 /*914*/), 8202, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8203, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0725 /*914*/), 8204, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0725 /*914*/), 8205, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8206, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8207, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8208, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8209, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8210, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8211, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8212, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8213, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8214, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 14923, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B9 /*860*/), 14924, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x068F /*839*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30169, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 30170, 0},
	{EIF_GENERIC(NULL), 30171, 0xFFFFFFFF},
};
void Init1351(void)
{
	IDSC(desc_1351, 0, 1350);
	IDSC(desc_1351 + 1, 1, 1350);
	IDSC(desc_1351 + 32, 1032, 1350);
	IDSC(desc_1351 + 65, 712, 1350);
	IDSC(desc_1351 + 66, 987, 1350);
	IDSC(desc_1351 + 91, 1607, 1350);
	IDSC(desc_1351 + 93, 558, 1350);
}


#ifdef __cplusplus
}
#endif
